package com.quant.entity;

/**
 * ProductBasic entity. @author MyEclipse Persistence Tools
 */

public class ProductBasic implements java.io.Serializable {

	private static final long serialVersionUID = 401769285849171575L;
	// Fields

	private Integer id;
	private Integer productType;
	private String productName;
	private Integer managerId;
	private Integer companyId;
	private Integer issuePortal;
	private String custody;
	private String primeBroker;
	private Integer status;
	private String strategyDescription;
	private Integer majorStrategy;
	private Integer minorStrategy;
	private String investmentScope;
	private Integer investmentRegion;
	private Integer mihfRating;
	private String administrator;
	private Integer supervisionUnits;
	private Integer isFiling;
	private Integer isStructured;
	private String productCode;
	private Integer productId;
	private String shorterName;
	private Integer expectedProfit;
	private String netvalueUri;
	private String investmentAdviser;
	private String futureBroker;
	private String brightPoint;
	private Integer showStatus;
	private Integer sortId;
	
	

	// Constructors

	public Integer getSortId() {
		return sortId;
	}

	public void setSortId(Integer sortId) {
		this.sortId = sortId;
	}

	public Integer getShowStatus() {
		return showStatus;
	}

	public void setShowStatus(Integer showStatus) {
		this.showStatus = showStatus;
	}

	public String getBrightPoint() {
		return brightPoint;
	}

	public void setBrightPoint(String brightPoint) {
		this.brightPoint = brightPoint;
	}

	public String getNetvalueUri() {
		return netvalueUri;
	}

	public void setNetvalueUri(String netvalueUri) {
		this.netvalueUri = netvalueUri;
	}

	/** default constructor */
	public ProductBasic() {
	}

	/** full constructor */
	public ProductBasic(Integer productType, String productName,
			Integer managerId, Integer companyId, Integer issuePortal,
			String custody, String primeBroker, Integer status,
			String strategyDescription, Integer majorStrategy,
			Integer minorStrategy, String investmentScope,
			Integer investmentRegion, Integer mihfRating, String administrator,
			Integer supervisionUnits, Integer isFiling, Integer isStructured,
			String productCode, Integer productId, String shorterName,
			Integer expectedProfit,String netvalueUri,String brightPoint) {
		this.productType = productType;
		this.productName = productName;
		this.managerId = managerId;
		this.companyId = companyId;
		this.issuePortal = issuePortal;
		this.custody = custody;
		this.primeBroker = primeBroker;
		this.status = status;
		this.strategyDescription = strategyDescription;
		this.majorStrategy = majorStrategy;
		this.minorStrategy = minorStrategy;
		this.investmentScope = investmentScope;
		this.investmentRegion = investmentRegion;
		this.mihfRating = mihfRating;
		this.administrator = administrator;
		this.supervisionUnits = supervisionUnits;
		this.isFiling = isFiling;
		this.isStructured = isStructured;
		this.productCode = productCode;
		this.productId = productId;
		this.shorterName = shorterName;
		this.expectedProfit = expectedProfit;
		this.netvalueUri = netvalueUri;
		this.brightPoint = brightPoint;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProductType() {
		return this.productType;
	}

	public void setProductType(Integer productType) {
		this.productType = productType;
	}

	public String getProductName() {
		return this.productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public Integer getManagerId() {
		return this.managerId;
	}

	public void setManagerId(Integer managerId) {
		this.managerId = managerId;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public Integer getIssuePortal() {
		return this.issuePortal;
	}

	public void setIssuePortal(Integer issuePortal) {
		this.issuePortal = issuePortal;
	}

	public String getCustody() {
		return this.custody;
	}

	public void setCustody(String custody) {
		this.custody = custody;
	}

	public String getPrimeBroker() {
		return this.primeBroker;
	}

	public void setPrimeBroker(String primeBroker) {
		this.primeBroker = primeBroker;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getStrategyDescription() {
		return this.strategyDescription;
	}

	public void setStrategyDescription(String strategyDescription) {
		this.strategyDescription = strategyDescription;
	}

	public Integer getMajorStrategy() {
		return this.majorStrategy;
	}

	public void setMajorStrategy(Integer majorStrategy) {
		this.majorStrategy = majorStrategy;
	}

	public Integer getMinorStrategy() {
		return this.minorStrategy;
	}

	public void setMinorStrategy(Integer minorStrategy) {
		this.minorStrategy = minorStrategy;
	}

	public String getInvestmentScope() {
		return this.investmentScope;
	}

	public void setInvestmentScope(String investmentScope) {
		this.investmentScope = investmentScope;
	}

	public Integer getInvestmentRegion() {
		return this.investmentRegion;
	}

	public void setInvestmentRegion(Integer investmentRegion) {
		this.investmentRegion = investmentRegion;
	}

	public Integer getMihfRating() {
		return this.mihfRating;
	}

	public void setMihfRating(Integer mihfRating) {
		this.mihfRating = mihfRating;
	}

	public String getAdministrator() {
		return this.administrator;
	}

	public void setAdministrator(String administrator) {
		this.administrator = administrator;
	}

	public Integer getSupervisionUnits() {
		return this.supervisionUnits;
	}

	public void setSupervisionUnits(Integer supervisionUnits) {
		this.supervisionUnits = supervisionUnits;
	}

	public Integer getIsFiling() {
		return this.isFiling;
	}

	public void setIsFiling(Integer isFiling) {
		this.isFiling = isFiling;
	}

	public Integer getIsStructured() {
		return this.isStructured;
	}

	public void setIsStructured(Integer isStructured) {
		this.isStructured = isStructured;
	}

	public String getProductCode() {
		return this.productCode;
	}

	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public String getShorterName() {
		return this.shorterName;
	}

	public void setShorterName(String shorterName) {
		this.shorterName = shorterName;
	}

	public Integer getExpectedProfit() {
		return this.expectedProfit;
	}

	public void setExpectedProfit(Integer expectedProfit) {
		this.expectedProfit = expectedProfit;
	}

	public String getInvestmentAdviser() {
		return investmentAdviser;
	}

	public void setInvestmentAdviser(String investmentAdviser) {
		this.investmentAdviser = investmentAdviser;
	}

	public String getFutureBroker() {
		return futureBroker;
	}

	public void setFutureBroker(String futureBroker) {
		this.futureBroker = futureBroker;
	}

}